GET Get Subject Areas
GET /organizations/{organizationId}/subject-areas
Operation ID: getSubjectAreas. Security: AmOAuth2 (sfcc.analytics).
Retrieve a list of subject areas.
Parameters
organizationId(path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f_ecom_' followed by a 4-character realm identifier and a 3-character instance type identifier.Example
f_ecom_zzxy_prd
Responses
- 200
Subject Areas Response
Media type:
application/json. Schema:SubjectAreasResponse.Example: subjectAreasExample
{ "data": [ "orderitems", "sessions", "pageviews" ] } - 400
Malformed query or request body parameter
Media type:
application/problem+json. Schema:MalformedParameterErrorResponse.Example: MalformedParameterErrorResponseExample
{ "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/malformed-parameter", "detail": "The requested query or request body parameter 'subjectAreaId' is malformed.", "title": "Malformed Parameter" } - 401
Your access token is invalid or expired and can’t be used to identify a user.
Media type:
application/problem+json. Schema:ErrorResponse.Example: UnauthorizedExample
{ "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/unauthorized", "title": "Unauthorized", "detail": "Unauthorized request" } - 403
Forbidden. Your access token is valid, but you don’t have the required permissions to access the resource.
Media type:
application/problem+json. Schema:ErrorResponse.Example: ForbiddenExample
{ "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/forbidden", "title": "Forbidden", "detail": "Access to requested resource forbidden" }